Maintenance Management API
Get Maintenance List
Request URL
POST /api/v1.0/invoke/open-ability/method/user-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| residence_id | String | Body | Yes | Residence ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | []Object<result> | Body | Return result |
result description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| maintenance_id | String | Body | Maintenance ID |
| start_time | String | Body | Start time, UTC |
| finish_time | String | Body | Finish time, UTC |
| description | String | Body | Description |
| contact | String | Body | Contact |
| maintenance_picture_url | []String | Body | Maintenance picture URL |
| feedback | String | Body | Feedback |
| state | String | Body | State, wait for confirmation or in progress or completed or closed |
| created_time | String | Body | Created time, UTC |
Request Example
POST /api/v1.0/invoke/open-ability/method/user-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_maintenance_list",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"residence_id": "r31adc223cc4b3bedb6bd4742dedcfa52"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": [
{
"maintenance_id": "m31adc223cc4b3bedb6bd4742dedcfa52",
"start_time": "2024-01-16 13:32:45",
"finish_time": "2024-01-17 13:32:45",
"description": "test",
"contact": "10086",
"maintenance_picture_url": [
"https://test.akubela.com/p"
],
"feedback": "test",
"state": "in progress",
"created_time": "2024-01-12 13:32:45"
}
]
}
Failure Return Example
Get Maintenance Information
Request URL
POST /api/v1.0/invoke/open-ability/method/user-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| residence_id | String | Body | Yes | Residence ID |
| maintenance_id | String | Body | Yes | Maintenance ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object<result> | Body | Return result |
result description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| start_time | String | Body | Start time, UTC |
| finish_time | String | Body | Finish time, UTC |
| description | String | Body | Description |
| contact | String | Body | Contact |
| maintenance_picture_url | []String | Body | Maintenance picture URL |
| feedback | String | Body | Feedback |
| state | String | Body | State, wait for confirmation or in progress or completed or closed |
| created_time | String | Body | Created time, UTC |
Request Example
POST /api/v1.0/invoke/open-ability/method/user-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_maintenance_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"residence_id": "r31adc223cc4b3bedb6bd4742dedcfa52",
"maintenance_id": "m31adc223cc4b3bedb6bd4742dedcfa52"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {
"start_time": "2024-01-16 13:32:45",
"finish_time": "2024-01-17 13:32:45",
"description": "test",
"contact": "10086",
"maintenance_picture_url": [
"https://test.akubela.com/p"
],
"feedback": "test",
"state": "in progress",
"created_time": "2024-01-12 13:32:45"
}
}
Failure Return Example
Create Maintenance Information
Request URL
POST /api/v1.0/invoke/open-ability/method/user-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| residence_id | String | Body | Yes | Residence ID |
| start_time | String | Body | Yes | Start time, UTC |
| finish_time | String | Body | Yes | Finish time, UTC |
| description | String | Body | Yes | Description |
| contact | String | Body | Yes | Contact |
| filename | []String | Body | No | Filename |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object<result> | Body | Return result |
result description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| maintenance_id | String | Body | Maintenance ID |
Request Example
POST /api/v1.0/invoke/open-ability/method/user-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "create_maintenance_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"residence_id": "r31adc223cc4b3bedb6bd4742dedcfa52",
"start_time": "2024-01-16 13:32:45",
"finish_time": "2024-01-17 13:32:45",
"description": "test",
"contact": "10086",
"filename": [
"f8b5a73f8dd84abaa94dcs248be49b0db"
]
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {
"maintenance_id": "m8b5a73f8dd84abaa94dcs248be49b0d1"
}
}
Failure Return Example
Delete Maintenance Information
Request URL
POST /api/v1.0/invoke/open-ability/method/user-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| residence_id | String | Body | Yes | Residence ID |
| maintenance_id | String | Body | Yes | Maintenance ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object | Body | Return result |
Request Example
POST /api/v1.0/invoke/open-ability/method/user-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "delete_maintenance_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"residence_id": "r31adc223cc4b3bedb6bd4742dedcfa52",
"maintenance_id": "m8b5a73f8dd84abaa94dcs248be49b0d1"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
Failure Return Example
Batch Delete Maintenance Information
Request URL
POST /api/v1.0/invoke/open-ability/method/user-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| residence_id | String | Body | Yes | Residence ID |
| maintenances | []Object<maintenance> | Body | Yes | Maintenance information |
maintenance description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| maintenance_id | String | Body | Yes | Maintenance ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object | Body | Return result |
Request Example
POST /api/v1.0/invoke/open-ability/method/user-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "batch_delete_maintenance_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"residence_id": "r31adc223cc4b3bedb6bd4742dedcfa52",
"maintenances": [
{
"maintenance_id": "m8b5a73f8dd84abaa94dcs248be49b0d1"
}
]
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}